#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "easyio.h"
using namespace std;

double erlangb(int C, double A);

int main() {

	// input number of circuits and offered load
int 	C = read_int("number of circuits", 40, 1, 500);
double 	A = read_double("offered load", " erlang", 34.2, 1, 500);
double	p = erlangb(C,A);

printf("\nblocking probability = %e\n", p);
printf("utilization %%        = %5.2f\n", (1-p)*A/C*100);

pausa();
}





double erlangb(int C, double A) {

		// done once for all: log of the offered load 
	double  a = log(A); 

		// log of the factorial: start from log(0!) = 0
	double  f = 0;

		// denominator: start from A^0/0! = A
	double  d = A;

		// latest term computed
	double  e;

		// now proceed from 1 to C
	for(int i=1; i<=C; i++) {
		f += log(double(i));
		e = exp(i * a - f);
		d += e;
		}
	return e/d;
	}

